
<!DOCTYPE html>

<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

    <title>Varnish Documentation &#8212; Varnish version 6.0.11 documentation</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="_static/classic.css" />
    
    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
    <script src="_static/jquery.js"></script>
    <script src="_static/underscore.js"></script>
    <script src="_static/doctools.js"></script>
    
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="Varnish Installation" href="installation/index.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="installation/index.html" title="Varnish Installation"
             accesskey="N">next</a> |</li>
        <li class="nav-item nav-item-0"><a href="#">Varnish version 6.0.11 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">Varnish Documentation</a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <section id="varnish-documentation">
<h1>Varnish Documentation<a class="headerlink" href="#varnish-documentation" title="Permalink to this headline">¶</a></h1>
<p>Varnish Cache is a web application accelerator also known as a caching HTTP
reverse proxy. You install it in front of any server that speaks HTTP and
configure it to cache the contents. Varnish Cache is really, really fast. It
typically speeds up delivery with a factor of 300 - 1000x, depending on your
architecture.</p>
<p>To get started with Varnish-Cache we recommend that you read the installation
guide <a class="reference internal" href="installation/index.html#install-index"><span class="std std-ref">Varnish Installation</span></a>. Once you have Varnish up and running we recommend
that you go through our tutorial - <a class="reference internal" href="tutorial/index.html#tutorial-index"><span class="std std-ref">The Varnish Tutorial</span></a>, and finally the
<a class="reference internal" href="users-guide/index.html#users-guide-index"><span class="std std-ref">The Varnish Users Guide</span></a>.</p>
<p>If you need to find out how to use a specific Varnish tool, the
<a class="reference internal" href="reference/index.html#reference-index"><span class="std std-ref">The Varnish Reference Manual</span></a> contains detailed documentation over the tools. Changes
from previous versions are located in the <a class="reference internal" href="whats-new/index.html#whats-new-index"><span class="std std-ref">What’s new / Upgrading</span></a> chapter. In
closing, we have <a class="reference internal" href="phk/index.html#phk"><span class="std std-ref">Poul-Hennings random outbursts</span></a>, a collection of blog posts from Poul-Henning Kamp
related to Varnish and HTTP.</p>
<p>Conventions used in this manual include:</p>
<blockquote>
<div><dl class="simple">
<dt><code class="docutils literal notranslate"><span class="pre">service</span> <span class="pre">varnish</span> <span class="pre">restart</span></code></dt><dd><p>A command you can run, or a shortkey you can press. Used either in the
terminal or after starting one of the tools.</p>
</dd>
<dt><cite>/usr/local/</cite>, <cite>varnishadm</cite>, <cite>sess_timeout</cite></dt><dd><p>A utility, Varnish configurable parameter or path.</p>
</dd>
<dt><a class="reference external" href="https://www.varnish-cache.org/">https://www.varnish-cache.org/</a></dt><dd><p>A hyperlink.</p>
</dd>
</dl>
</div></blockquote>
<p>Longer listings like example command output and VCL look like this:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>$ /opt/varnish/sbin/varnishd -V
varnishd (varnish-6.0.x revision 1234567)
Copyright (c) 2006 Verdens Gang AS
Copyright (c) 2006-2022 Varnish Software AS
</pre></div>
</div>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="installation/index.html">Varnish Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="tutorial/index.html">The Varnish Tutorial</a></li>
<li class="toctree-l1"><a class="reference internal" href="users-guide/index.html">The Varnish Users Guide</a></li>
<li class="toctree-l1"><a class="reference internal" href="reference/index.html">The Varnish Reference Manual</a></li>
<li class="toctree-l1"><a class="reference internal" href="whats-new/index.html">What’s new / Upgrading</a></li>
<li class="toctree-l1"><a class="reference internal" href="dev-guide/index.html">The Varnish Developers Guide</a></li>
<li class="toctree-l1"><a class="reference internal" href="phk/index.html">Poul-Hennings random outbursts</a></li>
<li class="toctree-l1"><a class="reference internal" href="glossary/index.html">Varnish Glossary</a></li>
</ul>
</div>
<section id="indices-and-tables">
<h2>Indices and tables<a class="headerlink" href="#indices-and-tables" title="Permalink to this headline">¶</a></h2>
<ul class="simple">
<li><p><a class="reference internal" href="genindex.html"><span class="std std-ref">Index</span></a></p></li>
<li><p><a class="reference internal" href="search.html"><span class="std std-ref">Search Page</span></a></p></li>
</ul>
</section>
</section>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="#">Table of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">Varnish Documentation</a><ul>
<li><a class="reference internal" href="#indices-and-tables">Indices and tables</a></li>
</ul>
</li>
</ul>

  <h4>Next topic</h4>
  <p class="topless"><a href="installation/index.html"
                        title="next chapter">Varnish Installation</a></p>
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="_sources/index.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="installation/index.html" title="Varnish Installation"
             >next</a> |</li>
        <li class="nav-item nav-item-0"><a href="#">Varnish version 6.0.11 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">Varnish Documentation</a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2010-2014, Varnish Software AS.
      Created using <a href="https://www.sphinx-doc.org/">Sphinx</a> 4.3.2.
    </div>
  </body>
</html>